Subject: Re: [PATCH 6/7] powerpc: switch to using thin archives if COMPILE_TEST is set

From: Nicholas Piggin <[email-masked]>
Date: Thu, 20 Oct 2016 14:48:37 +1100

On Wed, 19 Oct 2016 22:00:06 +1100
Michael Ellerman <[email-masked]> wrote:

> Nicholas Piggin <[email-masked]> writes:
> 
> > Enable thin archives build for powerpc when COMPILE_TEST is set.
> > Thin archives are explained in this commit:
> >
> >   a5967db9af51a84f5e181600954714a9e4c69f1f
> >
> > This is a gradual way to introduce the option to testers.  
> 
> I think I'd rather this was actually a user-selectable option, eg.
> 
> config USE_THIN_ARCHIVES
> 	bool "Build the kernel using thin archives"
>         default n
> 	select THIN_ARCHIVES
> 	help
> 	  Build the kernel using thin archives.
> 	  If you're unsure say N.

Okay, that should be easy. I'll respin the series.

Thanks,
Nick